package com.yihu.wlyy.entity.template;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Reece on 2017/6/8.
 */
@Entity
@Table(name = "wlyy_team_guidance_detail")
public class DoctorTeamGuidanceDetail extends IdEntity {
    //    指导模板编码
    private String code;
    //    所属医生
    private String creater;
    //    模板名称(前端限10 后端限50)
    private String title;
    //    指导内容
    private String content;
    //    健康指导图片URL，多图以逗号分隔(至多9图）
    private String imagesUrl;
    //            创建时间
    private Date createTime;
    //    操作时间
    private Date czrq;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    @Column(name = "title", length = 50)
    public String getTitle() {
        return title;
    }

    @Column(name = "title", length = 50)
    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getImagesUrl() {
        return imagesUrl;
    }

    public void setImagesUrl(String imagesUrl) {
        this.imagesUrl = imagesUrl;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
